﻿using System.Windows.Input;

using CommunityToolkit.Maui.Behaviors;

namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        ICommand saveCommand = new Command
        (
            execute : async () =>
            {
                await DisplayAlert("INFORMATION", "파일을 저장했습니다.", "확인");
            }
        );

        EventToCommandBehavior behavior = new EventToCommandBehavior
        {
            EventName = nameof(Button.Clicked),
            Command   = saveCommand
        };

        this.saveButton.Behaviors.Add(behavior);
    }

    #endregion
}